#!/usr/bin/env bash
#   *** validation ***
scripts/run-validator-tests.sh
scripts/run-checker-tests.sh

#    *** tests ***
mkdir -p tests
echo "Generating test #3"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum -min_t=1 -max_t=1 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" "tests/03" 3
echo "Generating test #4"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum_ignoring_reordering -min_t=1 -max_t=1 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" "tests/04" 4
echo "Generating test #5"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=1 -max_t=1 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=0" "tests/05" 5
echo "Generating test #6"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=1 -max_t=1 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=0" "tests/06" 6
echo "Generating test #7"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum -min_t=3 -max_t=3 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" "tests/07" 7
echo "Generating test #8"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum_ignoring_reordering -min_t=3 -max_t=3 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" "tests/08" 8
echo "Generating test #9"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=3 -max_t=3 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=0" "tests/09" 9
echo "Generating test #10"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=3 -max_t=3 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=0" "tests/10" 10
echo "Generating test #11"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum -min_t=8 -max_t=8 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" "tests/11" 11
echo "Generating test #12"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum_ignoring_reordering -min_t=8 -max_t=8 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" "tests/12" 12
echo "Generating test #13"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=8 -max_t=8 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=0" "tests/13" 13
echo "Generating test #14"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=8 -max_t=8 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=0" "tests/14" 14
echo "Generating test #15"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum -min_t=17 -max_t=17 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" "tests/15" 15
echo "Generating test #16"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum_ignoring_reordering -min_t=17 -max_t=17 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" "tests/16" 16
echo "Generating test #17"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=17 -max_t=17 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=0" "tests/17" 17
echo "Generating test #18"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=17 -max_t=17 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=0" "tests/18" 18
echo "Generating test #19"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum -min_t=40 -max_t=40 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" "tests/19" 19
echo "Generating test #20"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum_ignoring_reordering -min_t=40 -max_t=40 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" "tests/20" 20
echo "Generating test #21"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=40 -max_t=40 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=0" "tests/21" 21
echo "Generating test #22"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=40 -max_t=40 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=0" "tests/22" 22
echo "Generating test #23"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum -min_t=95 -max_t=95 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" "tests/23" 23
echo "Generating test #24"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum_ignoring_reordering -min_t=95 -max_t=95 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" "tests/24" 24
echo "Generating test #25"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=95 -max_t=95 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=0" "tests/25" 25
echo "Generating test #26"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=95 -max_t=95 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=0" "tests/26" 26
echo "Generating test #27"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum -min_t=229 -max_t=229 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" "tests/27" 27
echo "Generating test #28"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum_ignoring_reordering -min_t=229 -max_t=229 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" "tests/28" 28
echo "Generating test #29"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=229 -max_t=229 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=0" "tests/29" 29
echo "Generating test #30"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=229 -max_t=229 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=0" "tests/30" 30
echo "Generating test #31"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum -min_t=557 -max_t=557 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" "tests/31" 31
echo "Generating test #32"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum_ignoring_reordering -min_t=557 -max_t=557 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" "tests/32" 32
echo "Generating test #33"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=557 -max_t=557 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=0" "tests/33" 33
echo "Generating test #34"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=557 -max_t=557 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=0" "tests/34" 34
echo "Generating test #35"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum -min_t=1364 -max_t=1364 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" "tests/35" 35
echo "Generating test #36"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum_ignoring_reordering -min_t=1364 -max_t=1364 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" "tests/36" 36
echo "Generating test #37"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=1364 -max_t=1364 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=0" "tests/37" 37
echo "Generating test #38"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=1364 -max_t=1364 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=0" "tests/38" 38
echo "Generating test #39"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum -min_t=3352 -max_t=3352 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" "tests/39" 39
echo "Generating test #40"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum_ignoring_reordering -min_t=3352 -max_t=3352 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" "tests/40" 40
echo "Generating test #41"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=3352 -max_t=3352 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=0" "tests/41" 41
echo "Generating test #42"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=3352 -max_t=3352 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=0" "tests/42" 42
echo "Generating test #43"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum -min_t=8246 -max_t=8246 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" "tests/43" 43
echo "Generating test #44"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum_ignoring_reordering -min_t=8246 -max_t=8246 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" "tests/44" 44
echo "Generating test #45"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=8246 -max_t=8246 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=0" "tests/45" 45
echo "Generating test #46"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=8246 -max_t=8246 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=0" "tests/46" 46
echo "Generating test #47"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum -min_t=20301 -max_t=20301 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" "tests/47" 47
echo "Generating test #48"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum_ignoring_reordering -min_t=20301 -max_t=20301 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" "tests/48" 48
echo "Generating test #49"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=20301 -max_t=20301 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=0" "tests/49" 49
echo "Generating test #50"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=20301 -max_t=20301 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=0" "tests/50" 50
echo "Generating test #51"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" "tests/51" 51
echo "Generating test #52"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum_ignoring_reordering -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" "tests/52" 52
echo "Generating test #53"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=0" "tests/53" 53
echo "Generating test #54"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=0" "tests/54" 54
echo "Generating test #55"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=1" "tests/55" 55
echo "Generating test #56"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum_ignoring_reordering -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=1" "tests/56" 56
echo "Generating test #57"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=1" "tests/57" 57
echo "Generating test #58"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=1" "tests/58" 58
echo "Generating test #59"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=2" "tests/59" 59
echo "Generating test #60"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum_ignoring_reordering -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=2" "tests/60" 60
echo "Generating test #61"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=2" "tests/61" 61
echo "Generating test #62"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=2" "tests/62" 62
echo "Generating test #63"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=3" "tests/63" 63
echo "Generating test #64"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum_ignoring_reordering -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=3" "tests/64" 64
echo "Generating test #65"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=3" "tests/65" 65
echo "Generating test #66"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=3" "tests/66" 66
echo "Generating test #67"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=4" "tests/67" 67
echo "Generating test #68"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum_ignoring_reordering -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=4" "tests/68" 68
echo "Generating test #69"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=4" "tests/69" 69
echo "Generating test #70"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=4" "tests/70" 70
echo "Generating test #71"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=5" "tests/71" 71
echo "Generating test #72"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum_ignoring_reordering -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=5" "tests/72" 72
echo "Generating test #73"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=5" "tests/73" 73
echo "Generating test #74"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=5" "tests/74" 74
echo "Generating test #75"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=6" "tests/75" 75
echo "Generating test #76"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum_ignoring_reordering -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=6" "tests/76" 76
echo "Generating test #77"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=6" "tests/77" 77
echo "Generating test #78"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=6" "tests/78" 78
echo "Generating test #79"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=7" "tests/79" 79
echo "Generating test #80"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum_ignoring_reordering -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=7" "tests/80" 80
echo "Generating test #81"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=7" "tests/81" 81
echo "Generating test #82"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=7" "tests/82" 82
echo "Generating test #83"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=8" "tests/83" 83
echo "Generating test #84"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum_ignoring_reordering -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=8" "tests/84" 84
echo "Generating test #85"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=8" "tests/85" 85
echo "Generating test #86"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=8" "tests/86" 86
echo "Generating test #87"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=9" "tests/87" 87
echo "Generating test #88"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum_ignoring_reordering -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=9" "tests/88" 88
echo "Generating test #89"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=9" "tests/89" 89
echo "Generating test #90"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=9" "tests/90" 90
echo "Generating test #91"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=10" "tests/91" 91
echo "Generating test #92"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum_ignoring_reordering -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=10" "tests/92" 92
echo "Generating test #93"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=10" "tests/93" 93
echo "Generating test #94"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=10" "tests/94" 94
echo "Generating test #95"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=11" "tests/95" 95
echo "Generating test #96"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_sum_ignoring_reordering -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=11" "tests/96" 96
echo "Generating test #97"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=11" "tests/97" 97
echo "Generating test #98"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=11" "tests/98" 98
echo "Generating test #99"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=50000 -max_t=50000 -min_n=1 -max_n=50000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=20301" "tests/99" 99
echo "Generating test #100"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=50000 -max_t=50000 -min_n=1 -max_n=50000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=20301" "tests/100" 100
echo "Generating test #101"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=50000 -max_t=50000 -min_n=1 -max_n=59461 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=20301" "tests/101" 101
echo "Generating test #102"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=50000 -max_t=50000 -min_n=1 -max_n=59461 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=20301" "tests/102" 102
echo "Generating test #103"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=50000 -max_t=50000 -min_n=1 -max_n=70711 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=20301" "tests/103" 103
echo "Generating test #104"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=50000 -max_t=50000 -min_n=1 -max_n=70711 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=20301" "tests/104" 104
echo "Generating test #105"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=50000 -max_t=50000 -min_n=1 -max_n=84091 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=20301" "tests/105" 105
echo "Generating test #106"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=50000 -max_t=50000 -min_n=1 -max_n=84091 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=20301" "tests/106" 106
echo "Generating test #107"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=50000 -max_t=50000 -min_n=1 -max_n=100001 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=20301" "tests/107" 107
echo "Generating test #108"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=50000 -max_t=50000 -min_n=1 -max_n=100001 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=20301" "tests/108" 108
echo "Generating test #109"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=50000 -max_t=50000 -min_n=1 -max_n=118922 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=20301" "tests/109" 109
echo "Generating test #110"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=50000 -max_t=50000 -min_n=1 -max_n=118922 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=20301" "tests/110" 110
echo "Generating test #111"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=50000 -max_t=50000 -min_n=1 -max_n=141423 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=20301" "tests/111" 111
echo "Generating test #112"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=50000 -max_t=50000 -min_n=1 -max_n=141423 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=20301" "tests/112" 112
echo "Generating test #113"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=50000 -max_t=50000 -min_n=1 -max_n=168180 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=20301" "tests/113" 113
echo "Generating test #114"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=50000 -max_t=50000 -min_n=1 -max_n=168180 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=20301" "tests/114" 114
echo "Generating test #115"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=49999 -max_t=49999 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=49999" "tests/115" 115
echo "Generating test #116"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=49999 -max_t=49999 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=49999" "tests/116" 116
echo "Generating test #117"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=31863 -max_t=31863 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=31863" "tests/117" 117
echo "Generating test #118"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=31863 -max_t=31863 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=31863" "tests/118" 118
echo "Generating test #119"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=20308 -max_t=20308 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=20308" "tests/119" 119
echo "Generating test #120"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=20308 -max_t=20308 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=20308" "tests/120" 120
echo "Generating test #121"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=12945 -max_t=12945 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=12945" "tests/121" 121
echo "Generating test #122"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=12945 -max_t=12945 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=12945" "tests/122" 122
echo "Generating test #123"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=8254 -max_t=8254 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=8254" "tests/123" 123
echo "Generating test #124"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=8254 -max_t=8254 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=8254" "tests/124" 124
echo "Generating test #125"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=5265 -max_t=5265 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=5265" "tests/125" 125
echo "Generating test #126"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=5265 -max_t=5265 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=5265" "tests/126" 126
echo "Generating test #127"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=3360 -max_t=3360 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=3360" "tests/127" 127
echo "Generating test #128"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=3360 -max_t=3360 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=3360" "tests/128" 128
echo "Generating test #129"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=2146 -max_t=2146 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=2146" "tests/129" 129
echo "Generating test #130"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=2146 -max_t=2146 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=2146" "tests/130" 130
echo "Generating test #131"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=1372 -max_t=1372 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=1372" "tests/131" 131
echo "Generating test #132"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=1372 -max_t=1372 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=1372" "tests/132" 132
echo "Generating test #133"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=879 -max_t=879 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=879" "tests/133" 133
echo "Generating test #134"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=879 -max_t=879 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=879" "tests/134" 134
echo "Generating test #135"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=564 -max_t=564 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=564" "tests/135" 135
echo "Generating test #136"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=564 -max_t=564 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=564" "tests/136" 136
echo "Generating test #137"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=363 -max_t=363 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=363" "tests/137" 137
echo "Generating test #138"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=363 -max_t=363 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=363" "tests/138" 138
echo "Generating test #139"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=235 -max_t=235 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=235" "tests/139" 139
echo "Generating test #140"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=235 -max_t=235 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=235" "tests/140" 140
echo "Generating test #141"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=153 -max_t=153 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=153" "tests/141" 141
echo "Generating test #142"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=153 -max_t=153 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=153" "tests/142" 142
echo "Generating test #143"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=100 -max_t=100 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=100" "tests/143" 143
echo "Generating test #144"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=100 -max_t=100 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=100" "tests/144" 144
echo "Generating test #145"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=66 -max_t=66 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=66" "tests/145" 145
echo "Generating test #146"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=66 -max_t=66 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=66" "tests/146" 146
echo "Generating test #147"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=44 -max_t=44 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=44" "tests/147" 147
echo "Generating test #148"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=44 -max_t=44 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=44" "tests/148" 148
echo "Generating test #149"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=30 -max_t=30 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=30" "tests/149" 149
echo "Generating test #150"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=30 -max_t=30 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=30" "tests/150" 150
echo "Generating test #151"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=20 -max_t=20 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=20" "tests/151" 151
echo "Generating test #152"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=20 -max_t=20 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=20" "tests/152" 152
echo "Generating test #153"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=14 -max_t=14 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=14" "tests/153" 153
echo "Generating test #154"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=14 -max_t=14 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=14" "tests/154" 154
echo "Generating test #155"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=10 -max_t=10 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=10" "tests/155" 155
echo "Generating test #156"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=10 -max_t=10 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=10" "tests/156" 156
echo "Generating test #157"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=6 -max_t=6 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=6" "tests/157" 157
echo "Generating test #158"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=6 -max_t=6 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=6" "tests/158" 158
echo "Generating test #159"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=4 -max_t=4 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=4" "tests/159" 159
echo "Generating test #160"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=4 -max_t=4 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=4" "tests/160" 160
echo "Generating test #161"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=2 -max_t=2 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=2" "tests/161" 161
echo "Generating test #162"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=2 -max_t=2 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=2" "tests/162" 162
echo "Generating test #163"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=1 -max_t=1 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=1" "tests/163" 163
echo "Generating test #164"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_max_test -min_t=1 -max_t=1 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=1" "tests/164" 164
echo "Generating test #165"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_longest_test -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -inaccuracy=0 -random_units=0" "tests/165" 165
echo "Generating test #166"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_longest_test -min_t=3 -max_t=3 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -inaccuracy=25000 -random_units=5000" "tests/166" 166
echo "Generating test #167"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_longest_test -min_t=1 -max_t=1 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -inaccuracy=1 -random_units=1" "tests/167" 167
echo "Generating test #168"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_longest_test -min_t=1 -max_t=1 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -inaccuracy=0 -random_units=0" "tests/168" 168
echo "Generating test #169"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_longest_test -min_t=1 -max_t=1 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -inaccuracy=250000 -random_units=25000" "tests/169" 169
echo "Generating test #170"
scripts/gen-input-via-stdout.sh "wine files/keys-and-locks-1d_generate_mi.exe -type=random_longest_test -min_t=1 -max_t=1 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -inaccuracy=250000 -random_units=125000" "tests/170" 170
echo ""
echo "Generating answer for test #1"
scripts/gen-answer.sh tests/01 tests/01.a "tests" ""
echo ""
echo "Generating answer for test #2"
scripts/gen-answer.sh tests/02 tests/02.a "tests" ""
echo ""
echo "Generating answer for test #3"
scripts/gen-answer.sh tests/03 tests/03.a "tests" ""
echo ""
echo "Generating answer for test #4"
scripts/gen-answer.sh tests/04 tests/04.a "tests" ""
echo ""
echo "Generating answer for test #5"
scripts/gen-answer.sh tests/05 tests/05.a "tests" ""
echo ""
echo "Generating answer for test #6"
scripts/gen-answer.sh tests/06 tests/06.a "tests" ""
echo ""
echo "Generating answer for test #7"
scripts/gen-answer.sh tests/07 tests/07.a "tests" ""
echo ""
echo "Generating answer for test #8"
scripts/gen-answer.sh tests/08 tests/08.a "tests" ""
echo ""
echo "Generating answer for test #9"
scripts/gen-answer.sh tests/09 tests/09.a "tests" ""
echo ""
echo "Generating answer for test #10"
scripts/gen-answer.sh tests/10 tests/10.a "tests" ""
echo ""
echo "Generating answer for test #11"
scripts/gen-answer.sh tests/11 tests/11.a "tests" ""
echo ""
echo "Generating answer for test #12"
scripts/gen-answer.sh tests/12 tests/12.a "tests" ""
echo ""
echo "Generating answer for test #13"
scripts/gen-answer.sh tests/13 tests/13.a "tests" ""
echo ""
echo "Generating answer for test #14"
scripts/gen-answer.sh tests/14 tests/14.a "tests" ""
echo ""
echo "Generating answer for test #15"
scripts/gen-answer.sh tests/15 tests/15.a "tests" ""
echo ""
echo "Generating answer for test #16"
scripts/gen-answer.sh tests/16 tests/16.a "tests" ""
echo ""
echo "Generating answer for test #17"
scripts/gen-answer.sh tests/17 tests/17.a "tests" ""
echo ""
echo "Generating answer for test #18"
scripts/gen-answer.sh tests/18 tests/18.a "tests" ""
echo ""
echo "Generating answer for test #19"
scripts/gen-answer.sh tests/19 tests/19.a "tests" ""
echo ""
echo "Generating answer for test #20"
scripts/gen-answer.sh tests/20 tests/20.a "tests" ""
echo ""
echo "Generating answer for test #21"
scripts/gen-answer.sh tests/21 tests/21.a "tests" ""
echo ""
echo "Generating answer for test #22"
scripts/gen-answer.sh tests/22 tests/22.a "tests" ""
echo ""
echo "Generating answer for test #23"
scripts/gen-answer.sh tests/23 tests/23.a "tests" ""
echo ""
echo "Generating answer for test #24"
scripts/gen-answer.sh tests/24 tests/24.a "tests" ""
echo ""
echo "Generating answer for test #25"
scripts/gen-answer.sh tests/25 tests/25.a "tests" ""
echo ""
echo "Generating answer for test #26"
scripts/gen-answer.sh tests/26 tests/26.a "tests" ""
echo ""
echo "Generating answer for test #27"
scripts/gen-answer.sh tests/27 tests/27.a "tests" ""
echo ""
echo "Generating answer for test #28"
scripts/gen-answer.sh tests/28 tests/28.a "tests" ""
echo ""
echo "Generating answer for test #29"
scripts/gen-answer.sh tests/29 tests/29.a "tests" ""
echo ""
echo "Generating answer for test #30"
scripts/gen-answer.sh tests/30 tests/30.a "tests" ""
echo ""
echo "Generating answer for test #31"
scripts/gen-answer.sh tests/31 tests/31.a "tests" ""
echo ""
echo "Generating answer for test #32"
scripts/gen-answer.sh tests/32 tests/32.a "tests" ""
echo ""
echo "Generating answer for test #33"
scripts/gen-answer.sh tests/33 tests/33.a "tests" ""
echo ""
echo "Generating answer for test #34"
scripts/gen-answer.sh tests/34 tests/34.a "tests" ""
echo ""
echo "Generating answer for test #35"
scripts/gen-answer.sh tests/35 tests/35.a "tests" ""
echo ""
echo "Generating answer for test #36"
scripts/gen-answer.sh tests/36 tests/36.a "tests" ""
echo ""
echo "Generating answer for test #37"
scripts/gen-answer.sh tests/37 tests/37.a "tests" ""
echo ""
echo "Generating answer for test #38"
scripts/gen-answer.sh tests/38 tests/38.a "tests" ""
echo ""
echo "Generating answer for test #39"
scripts/gen-answer.sh tests/39 tests/39.a "tests" ""
echo ""
echo "Generating answer for test #40"
scripts/gen-answer.sh tests/40 tests/40.a "tests" ""
echo ""
echo "Generating answer for test #41"
scripts/gen-answer.sh tests/41 tests/41.a "tests" ""
echo ""
echo "Generating answer for test #42"
scripts/gen-answer.sh tests/42 tests/42.a "tests" ""
echo ""
echo "Generating answer for test #43"
scripts/gen-answer.sh tests/43 tests/43.a "tests" ""
echo ""
echo "Generating answer for test #44"
scripts/gen-answer.sh tests/44 tests/44.a "tests" ""
echo ""
echo "Generating answer for test #45"
scripts/gen-answer.sh tests/45 tests/45.a "tests" ""
echo ""
echo "Generating answer for test #46"
scripts/gen-answer.sh tests/46 tests/46.a "tests" ""
echo ""
echo "Generating answer for test #47"
scripts/gen-answer.sh tests/47 tests/47.a "tests" ""
echo ""
echo "Generating answer for test #48"
scripts/gen-answer.sh tests/48 tests/48.a "tests" ""
echo ""
echo "Generating answer for test #49"
scripts/gen-answer.sh tests/49 tests/49.a "tests" ""
echo ""
echo "Generating answer for test #50"
scripts/gen-answer.sh tests/50 tests/50.a "tests" ""
echo ""
echo "Generating answer for test #51"
scripts/gen-answer.sh tests/51 tests/51.a "tests" ""
echo ""
echo "Generating answer for test #52"
scripts/gen-answer.sh tests/52 tests/52.a "tests" ""
echo ""
echo "Generating answer for test #53"
scripts/gen-answer.sh tests/53 tests/53.a "tests" ""
echo ""
echo "Generating answer for test #54"
scripts/gen-answer.sh tests/54 tests/54.a "tests" ""
echo ""
echo "Generating answer for test #55"
scripts/gen-answer.sh tests/55 tests/55.a "tests" ""
echo ""
echo "Generating answer for test #56"
scripts/gen-answer.sh tests/56 tests/56.a "tests" ""
echo ""
echo "Generating answer for test #57"
scripts/gen-answer.sh tests/57 tests/57.a "tests" ""
echo ""
echo "Generating answer for test #58"
scripts/gen-answer.sh tests/58 tests/58.a "tests" ""
echo ""
echo "Generating answer for test #59"
scripts/gen-answer.sh tests/59 tests/59.a "tests" ""
echo ""
echo "Generating answer for test #60"
scripts/gen-answer.sh tests/60 tests/60.a "tests" ""
echo ""
echo "Generating answer for test #61"
scripts/gen-answer.sh tests/61 tests/61.a "tests" ""
echo ""
echo "Generating answer for test #62"
scripts/gen-answer.sh tests/62 tests/62.a "tests" ""
echo ""
echo "Generating answer for test #63"
scripts/gen-answer.sh tests/63 tests/63.a "tests" ""
echo ""
echo "Generating answer for test #64"
scripts/gen-answer.sh tests/64 tests/64.a "tests" ""
echo ""
echo "Generating answer for test #65"
scripts/gen-answer.sh tests/65 tests/65.a "tests" ""
echo ""
echo "Generating answer for test #66"
scripts/gen-answer.sh tests/66 tests/66.a "tests" ""
echo ""
echo "Generating answer for test #67"
scripts/gen-answer.sh tests/67 tests/67.a "tests" ""
echo ""
echo "Generating answer for test #68"
scripts/gen-answer.sh tests/68 tests/68.a "tests" ""
echo ""
echo "Generating answer for test #69"
scripts/gen-answer.sh tests/69 tests/69.a "tests" ""
echo ""
echo "Generating answer for test #70"
scripts/gen-answer.sh tests/70 tests/70.a "tests" ""
echo ""
echo "Generating answer for test #71"
scripts/gen-answer.sh tests/71 tests/71.a "tests" ""
echo ""
echo "Generating answer for test #72"
scripts/gen-answer.sh tests/72 tests/72.a "tests" ""
echo ""
echo "Generating answer for test #73"
scripts/gen-answer.sh tests/73 tests/73.a "tests" ""
echo ""
echo "Generating answer for test #74"
scripts/gen-answer.sh tests/74 tests/74.a "tests" ""
echo ""
echo "Generating answer for test #75"
scripts/gen-answer.sh tests/75 tests/75.a "tests" ""
echo ""
echo "Generating answer for test #76"
scripts/gen-answer.sh tests/76 tests/76.a "tests" ""
echo ""
echo "Generating answer for test #77"
scripts/gen-answer.sh tests/77 tests/77.a "tests" ""
echo ""
echo "Generating answer for test #78"
scripts/gen-answer.sh tests/78 tests/78.a "tests" ""
echo ""
echo "Generating answer for test #79"
scripts/gen-answer.sh tests/79 tests/79.a "tests" ""
echo ""
echo "Generating answer for test #80"
scripts/gen-answer.sh tests/80 tests/80.a "tests" ""
echo ""
echo "Generating answer for test #81"
scripts/gen-answer.sh tests/81 tests/81.a "tests" ""
echo ""
echo "Generating answer for test #82"
scripts/gen-answer.sh tests/82 tests/82.a "tests" ""
echo ""
echo "Generating answer for test #83"
scripts/gen-answer.sh tests/83 tests/83.a "tests" ""
echo ""
echo "Generating answer for test #84"
scripts/gen-answer.sh tests/84 tests/84.a "tests" ""
echo ""
echo "Generating answer for test #85"
scripts/gen-answer.sh tests/85 tests/85.a "tests" ""
echo ""
echo "Generating answer for test #86"
scripts/gen-answer.sh tests/86 tests/86.a "tests" ""
echo ""
echo "Generating answer for test #87"
scripts/gen-answer.sh tests/87 tests/87.a "tests" ""
echo ""
echo "Generating answer for test #88"
scripts/gen-answer.sh tests/88 tests/88.a "tests" ""
echo ""
echo "Generating answer for test #89"
scripts/gen-answer.sh tests/89 tests/89.a "tests" ""
echo ""
echo "Generating answer for test #90"
scripts/gen-answer.sh tests/90 tests/90.a "tests" ""
echo ""
echo "Generating answer for test #91"
scripts/gen-answer.sh tests/91 tests/91.a "tests" ""
echo ""
echo "Generating answer for test #92"
scripts/gen-answer.sh tests/92 tests/92.a "tests" ""
echo ""
echo "Generating answer for test #93"
scripts/gen-answer.sh tests/93 tests/93.a "tests" ""
echo ""
echo "Generating answer for test #94"
scripts/gen-answer.sh tests/94 tests/94.a "tests" ""
echo ""
echo "Generating answer for test #95"
scripts/gen-answer.sh tests/95 tests/95.a "tests" ""
echo ""
echo "Generating answer for test #96"
scripts/gen-answer.sh tests/96 tests/96.a "tests" ""
echo ""
echo "Generating answer for test #97"
scripts/gen-answer.sh tests/97 tests/97.a "tests" ""
echo ""
echo "Generating answer for test #98"
scripts/gen-answer.sh tests/98 tests/98.a "tests" ""
echo ""
echo "Generating answer for test #99"
scripts/gen-answer.sh tests/99 tests/99.a "tests" ""
echo ""
echo "Generating answer for test #100"
scripts/gen-answer.sh tests/100 tests/100.a "tests" ""
echo ""
echo "Generating answer for test #101"
scripts/gen-answer.sh tests/101 tests/101.a "tests" ""
echo ""
echo "Generating answer for test #102"
scripts/gen-answer.sh tests/102 tests/102.a "tests" ""
echo ""
echo "Generating answer for test #103"
scripts/gen-answer.sh tests/103 tests/103.a "tests" ""
echo ""
echo "Generating answer for test #104"
scripts/gen-answer.sh tests/104 tests/104.a "tests" ""
echo ""
echo "Generating answer for test #105"
scripts/gen-answer.sh tests/105 tests/105.a "tests" ""
echo ""
echo "Generating answer for test #106"
scripts/gen-answer.sh tests/106 tests/106.a "tests" ""
echo ""
echo "Generating answer for test #107"
scripts/gen-answer.sh tests/107 tests/107.a "tests" ""
echo ""
echo "Generating answer for test #108"
scripts/gen-answer.sh tests/108 tests/108.a "tests" ""
echo ""
echo "Generating answer for test #109"
scripts/gen-answer.sh tests/109 tests/109.a "tests" ""
echo ""
echo "Generating answer for test #110"
scripts/gen-answer.sh tests/110 tests/110.a "tests" ""
echo ""
echo "Generating answer for test #111"
scripts/gen-answer.sh tests/111 tests/111.a "tests" ""
echo ""
echo "Generating answer for test #112"
scripts/gen-answer.sh tests/112 tests/112.a "tests" ""
echo ""
echo "Generating answer for test #113"
scripts/gen-answer.sh tests/113 tests/113.a "tests" ""
echo ""
echo "Generating answer for test #114"
scripts/gen-answer.sh tests/114 tests/114.a "tests" ""
echo ""
echo "Generating answer for test #115"
scripts/gen-answer.sh tests/115 tests/115.a "tests" ""
echo ""
echo "Generating answer for test #116"
scripts/gen-answer.sh tests/116 tests/116.a "tests" ""
echo ""
echo "Generating answer for test #117"
scripts/gen-answer.sh tests/117 tests/117.a "tests" ""
echo ""
echo "Generating answer for test #118"
scripts/gen-answer.sh tests/118 tests/118.a "tests" ""
echo ""
echo "Generating answer for test #119"
scripts/gen-answer.sh tests/119 tests/119.a "tests" ""
echo ""
echo "Generating answer for test #120"
scripts/gen-answer.sh tests/120 tests/120.a "tests" ""
echo ""
echo "Generating answer for test #121"
scripts/gen-answer.sh tests/121 tests/121.a "tests" ""
echo ""
echo "Generating answer for test #122"
scripts/gen-answer.sh tests/122 tests/122.a "tests" ""
echo ""
echo "Generating answer for test #123"
scripts/gen-answer.sh tests/123 tests/123.a "tests" ""
echo ""
echo "Generating answer for test #124"
scripts/gen-answer.sh tests/124 tests/124.a "tests" ""
echo ""
echo "Generating answer for test #125"
scripts/gen-answer.sh tests/125 tests/125.a "tests" ""
echo ""
echo "Generating answer for test #126"
scripts/gen-answer.sh tests/126 tests/126.a "tests" ""
echo ""
echo "Generating answer for test #127"
scripts/gen-answer.sh tests/127 tests/127.a "tests" ""
echo ""
echo "Generating answer for test #128"
scripts/gen-answer.sh tests/128 tests/128.a "tests" ""
echo ""
echo "Generating answer for test #129"
scripts/gen-answer.sh tests/129 tests/129.a "tests" ""
echo ""
echo "Generating answer for test #130"
scripts/gen-answer.sh tests/130 tests/130.a "tests" ""
echo ""
echo "Generating answer for test #131"
scripts/gen-answer.sh tests/131 tests/131.a "tests" ""
echo ""
echo "Generating answer for test #132"
scripts/gen-answer.sh tests/132 tests/132.a "tests" ""
echo ""
echo "Generating answer for test #133"
scripts/gen-answer.sh tests/133 tests/133.a "tests" ""
echo ""
echo "Generating answer for test #134"
scripts/gen-answer.sh tests/134 tests/134.a "tests" ""
echo ""
echo "Generating answer for test #135"
scripts/gen-answer.sh tests/135 tests/135.a "tests" ""
echo ""
echo "Generating answer for test #136"
scripts/gen-answer.sh tests/136 tests/136.a "tests" ""
echo ""
echo "Generating answer for test #137"
scripts/gen-answer.sh tests/137 tests/137.a "tests" ""
echo ""
echo "Generating answer for test #138"
scripts/gen-answer.sh tests/138 tests/138.a "tests" ""
echo ""
echo "Generating answer for test #139"
scripts/gen-answer.sh tests/139 tests/139.a "tests" ""
echo ""
echo "Generating answer for test #140"
scripts/gen-answer.sh tests/140 tests/140.a "tests" ""
echo ""
echo "Generating answer for test #141"
scripts/gen-answer.sh tests/141 tests/141.a "tests" ""
echo ""
echo "Generating answer for test #142"
scripts/gen-answer.sh tests/142 tests/142.a "tests" ""
echo ""
echo "Generating answer for test #143"
scripts/gen-answer.sh tests/143 tests/143.a "tests" ""
echo ""
echo "Generating answer for test #144"
scripts/gen-answer.sh tests/144 tests/144.a "tests" ""
echo ""
echo "Generating answer for test #145"
scripts/gen-answer.sh tests/145 tests/145.a "tests" ""
echo ""
echo "Generating answer for test #146"
scripts/gen-answer.sh tests/146 tests/146.a "tests" ""
echo ""
echo "Generating answer for test #147"
scripts/gen-answer.sh tests/147 tests/147.a "tests" ""
echo ""
echo "Generating answer for test #148"
scripts/gen-answer.sh tests/148 tests/148.a "tests" ""
echo ""
echo "Generating answer for test #149"
scripts/gen-answer.sh tests/149 tests/149.a "tests" ""
echo ""
echo "Generating answer for test #150"
scripts/gen-answer.sh tests/150 tests/150.a "tests" ""
echo ""
echo "Generating answer for test #151"
scripts/gen-answer.sh tests/151 tests/151.a "tests" ""
echo ""
echo "Generating answer for test #152"
scripts/gen-answer.sh tests/152 tests/152.a "tests" ""
echo ""
echo "Generating answer for test #153"
scripts/gen-answer.sh tests/153 tests/153.a "tests" ""
echo ""
echo "Generating answer for test #154"
scripts/gen-answer.sh tests/154 tests/154.a "tests" ""
echo ""
echo "Generating answer for test #155"
scripts/gen-answer.sh tests/155 tests/155.a "tests" ""
echo ""
echo "Generating answer for test #156"
scripts/gen-answer.sh tests/156 tests/156.a "tests" ""
echo ""
echo "Generating answer for test #157"
scripts/gen-answer.sh tests/157 tests/157.a "tests" ""
echo ""
echo "Generating answer for test #158"
scripts/gen-answer.sh tests/158 tests/158.a "tests" ""
echo ""
echo "Generating answer for test #159"
scripts/gen-answer.sh tests/159 tests/159.a "tests" ""
echo ""
echo "Generating answer for test #160"
scripts/gen-answer.sh tests/160 tests/160.a "tests" ""
echo ""
echo "Generating answer for test #161"
scripts/gen-answer.sh tests/161 tests/161.a "tests" ""
echo ""
echo "Generating answer for test #162"
scripts/gen-answer.sh tests/162 tests/162.a "tests" ""
echo ""
echo "Generating answer for test #163"
scripts/gen-answer.sh tests/163 tests/163.a "tests" ""
echo ""
echo "Generating answer for test #164"
scripts/gen-answer.sh tests/164 tests/164.a "tests" ""
echo ""
echo "Generating answer for test #165"
scripts/gen-answer.sh tests/165 tests/165.a "tests" ""
echo ""
echo "Generating answer for test #166"
scripts/gen-answer.sh tests/166 tests/166.a "tests" ""
echo ""
echo "Generating answer for test #167"
scripts/gen-answer.sh tests/167 tests/167.a "tests" ""
echo ""
echo "Generating answer for test #168"
scripts/gen-answer.sh tests/168 tests/168.a "tests" ""
echo ""
echo "Generating answer for test #169"
scripts/gen-answer.sh tests/169 tests/169.a "tests" ""
echo ""
echo "Generating answer for test #170"
scripts/gen-answer.sh tests/170 tests/170.a "tests" ""
echo ""
echo "Generating answer for test #171"
scripts/gen-answer.sh tests/171 tests/171.a "tests" ""
echo ""

